<sqtm-core-compact-collapse-panel
  [i18nTitleKey]="'sqtm-core.test-case-workspace.title.information'"
>
  <div class="m-l-10 entity-information-grid">
    <label class="txt-ellipsis">{{
      'sqtm-core.entity.generic.status.label' | translate
    }}</label>
    <sqtm-app-denormalized-status
      [status]="execution.tcStatus"
    ></sqtm-app-denormalized-status>
    <label class="txt-ellipsis">{{
      'sqtm-core.entity.test-case.nature.label' | translate
    }}</label>
    <div>
      <i
        nz-icon
        [nzType]="getInfoListIcon(execution.tcNatIconName)"
        nzTheme="fill"
        class="sqtm-core-infolist-icon table-icon-size"
      >
      </i>
      <span [attr.data-test-element-id]="'execution-prologue-nature'">
        {{ getDenormalizedNatureLabel(execution.tcNatLabel) | translate }}
      </span>
    </div>
    <label class="txt-ellipsis">{{
      'sqtm-core.entity.test-case.importance.label' | translate
    }}</label>
    <sqtm-app-denormalized-importance
      [importanceKey]="execution.tcImportance"
    ></sqtm-app-denormalized-importance>
    <label class="txt-ellipsis">{{
      'sqtm-core.entity.test-case.type.label' | translate
    }}</label>
    <div>
      <i
        nz-icon
        [nzType]="getInfoListIcon(execution.tcTypeIconName)"
        nzTheme="fill"
        class="sqtm-core-infolist-icon table-icon-size"
      >
      </i>
      <span [attr.data-test-element-id]="'execution-prologue-type'">
        {{ getDenormalizedTypeLabel(execution.tcTypeLabel) | translate }}
      </span>
    </div>
  </div>
  <div class="m-l-10 m-t-10 entity-information-grid-one-column">
    @if (execution.datasetLabel) {
      <label class="txt-ellipsis">{{
        'sqtm-core.entity.dataset.label.singular' | translate
      }}</label>
      <span [attr.data-test-element-id]="'execution-prologue-dataset'">{{
        execution.datasetLabel
      }}</span>
    }
    @for (
      dfv of execution.denormalizedCustomFieldValues;
      track dfv;
      let index = $index
    ) {
      <div class="flex-row overflow-hidden">
        <label
          nz-tooltip
          [nzTooltipTitle]="
            'sqtm-core.campaign-workspace.execution-runner.dnz-cuf.tooltip'
              | translate
          "
          [attr.data-test-element-id]="'execution-prologue-dnz-label-' + index"
          class="txt-ellipsis"
          >{{ dfv.label }}
        </label>
        <label class="p-l-3">*</label>
      </div>
      <sqtm-app-denormalized-custom-field
        [denormalizedFieldValue]="dfv"
        [attr.data-test-element-id]="'execution-prologue-dnz-value-' + index"
      >
      </sqtm-app-denormalized-custom-field>
    }
    @for (cfd of customFieldData; track trackCfd(cfd)) {
      <label class="txt-ellipsis">{{ cfd.label }}</label>
      <div>
        <sqtm-core-custom-field-widget
          [sqtmCoreEntityCustomField]="cfd"
          [attr.data-test-customfield-id]="cfd.name"
        ></sqtm-core-custom-field-widget>
      </div>
    }
    <label class="txt-ellipsis">{{
      'sqtm-core.entity.generic.description.label' | translate
    }}</label>
    <div
      class="overflow-hidden"
      [attr.data-test-element-id]="'execution-prologue-tc-description'"
      [innerHTML]="execution.tcDescription | safeRichContent"
    ></div>
  </div>
</sqtm-core-compact-collapse-panel>
@if (execution.kind !== 'KEYWORD') {
  <sqtm-core-compact-collapse-panel
    [i18nTitleKey]="
      execution.kind === 'STANDARD'
        ? 'sqtm-core.campaign-workspace.execution-page.prerequisites.label'
        : 'sqtm-core.campaign-workspace.execution-page.background.label'
    "
  >
    <div
      class="m-l-10"
      [attr.data-test-element-id]="'execution-prerequisite'"
      [innerHTML]="execution.prerequisite | safeRichContent"
    ></div>
  </sqtm-core-compact-collapse-panel>
}
<sqtm-core-compact-collapse-panel
  [i18nTitleKey]="'sqtm-core.campaign-workspace.execution-runner.coverages'"
>
  <sqtm-app-execution-coverage-table></sqtm-app-execution-coverage-table>
</sqtm-core-compact-collapse-panel>
<sqtm-core-compact-collapse-panel
  [i18nTitleKey]="'sqtm-core.entity.attachment.label.long.plural'"
>
  <sqtm-core-attachment-list-compact
    [attachmentListId]="execution.attachmentList.id"
    [attachments]="attachments"
    [canAttach]="permissions.canAttach && milestonesAllowModification"
    (deleteAttachmentEvent)="deleteAttachmentEvent($event)"
    (cancelDeleteAttachmentEvent)="cancelDeleteAttachment($event)"
    (confirmDeleteAttachmentEvent)="confirmDeleteAttachment($event)"
    (removeRejectedAttachmentEvent)="removeRejectedAttachment($event)"
  ></sqtm-core-attachment-list-compact>
  <div projection="toolbar" class="full-height m-t-4 m-r-8">
    <sqtm-core-toggle-icon
      class="current-workspace-button"
      [active]="permissions.canAttach && milestonesAllowModification"
      (clickedInActiveMode)="browseForAttachment()"
    >
      <i
        nz-icon
        class="table-icon-size m-auto"
        nzType="sqtm-core-generic:add"
        [nzTheme]="'outline'"
      >
      </i>
    </sqtm-core-toggle-icon>
  </div>
</sqtm-core-compact-collapse-panel>

<sqtm-core-attachment-file-selector
  (uploadFilesEvent)="handleAddAttachments($event)"
>
</sqtm-core-attachment-file-selector>
